/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { ResourceTypeOptionsDto } from './resource-type-options-dto';

/**
 * Represents a resource type.
 * @export
 * @interface ResourceTypeDto
 */
export interface ResourceTypeDto {
    /**
     * The unique identifier of the resource type.
     * @type {string}
     * @memberof ResourceTypeDto
     */
    'id'?: string;
    /**
     * The general type of the resource.
     * @type {string}
     * @memberof ResourceTypeDto
     */
    'generalType': string;
    /**
     * The specific type of the resource.
     * @type {string}
     * @memberof ResourceTypeDto
     */
    'specificType': string;
    /**
     * 
     * @type {ResourceTypeOptionsDto}
     * @memberof ResourceTypeDto
     */
    'options'?: ResourceTypeOptionsDto;
}

